#
# spec file for package python-requests-aws
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-requests-aws
Version:        0.1.8
Release:        3.11
Summary:        AWS authentication for Amazon S3 for the python requests module
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/tax/python-requests-aws
Source:         https://files.pythonhosted.org/packages/source/r/requests-aws/requests-aws-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-requests >= 2.4.1
BuildArch:      noarch
%python_subpackages

%description
AWS authentication for Amazon S3 for the Python "requests" library.
It is made to work with Python 2.7 and 3.
At the moment, only S3 is supported.

%prep
%setup -q -n requests-aws-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%license LICENSE.txt
%doc README.md
%{python_sitelib}/*

%changelog
* Thu Nov 26 2020 Robert Schweikert <rjschwei@suse.com>
- Only build Python3 flavors for distributions 15 and greater
* Mon Apr 30 2018 jengelh@inai.de
- Trim bias and uninterpreted markup from description.
* Mon Apr 30 2018 tchvatal@suse.com
- Use license macro
* Mon Jul  3 2017 tbechtold@suse.com
- convert to singlespec
- update Source url
* Thu Nov 12 2015 vuntz@suse.com
- Drop unused README.txt: this is just duplicating documentation
  from README.md which is installed in the package.
* Mon Oct 26 2015 mmnelemane@suse.com
- Updated License field
- Moved Usage instructions to README.txt
* Mon Oct 26 2015 mmnelemane@suse.com
- Submission for IBS
* Mon Oct 26 2015 mmnelemane@suse.com
- Added new package requests-aws
- Unit tests are not run as they require internet connection.
- The package is used by openstack components for aws authentication.
  - one immediate usage is by ceilometer object-store using rados gateway
  - Ceilometer authenticates with RGW using S3Auth provided by this package.
